/* msp430fr5969.inc                                                MM-220115 */

#define BIT0                 0x0001
#define BIT1                 0x0002
#define BIT2                 0x0004
#define BIT3                 0x0008
#define BIT4                 0x0010
#define BIT5                 0x0020


#define UCA0CTLW0            0x05C0    /* USCI A0 Control Word Register 0 */
#define UCSWRST              0x0001       /* USCI Software Reset Flag */
#define UCSSEL_1             0x0040       /* USCI Clock Source: 1 = ACLK */
#define UCSSEL_2             0x0080       /* USCI Clock Source: 2 = SMCLK */


#define UCA0BRW              0x05C6    /* USCI A0 Bit Rate Control Register */

#define UCA0MCTLW            0x05C8    /* USCI_Ax Modulation Control Word Register */

#define UCA0RXBUF            0x05CC    /* USCI A0 Receive Buffer */

#define UCA0TXBUF            0x05CE    /* USCI A0 Transmit Buffer */

#define UCA0IFG              0x05DC    /* USCI A0 Interrupt Flag Register */
#define UCRXIFG              0x0001       /* Receive interrupt flag  */
#define UCTXIFG              0x0002       /* Transmit interrupt flag */


#define CSCTL0               0x0160     /* CS Control Register 0 */
#define CSKEY                0xA500        /* CS Password */
#define CSCTL0_H             0x0161
#define CSCTL1               0x0162     /* CS Control Register 1 */
#define CSCTL2               0x0164     /* CS Control Register 2 */
#define CSCTL3               0x0166     /* CS Control Register 3 */
#define CSCTL4               0x0168     /* CS Control Register 4 */
#define CSCTL5               0x016A     /* CS Control Register 5 */


#define WDTCTL               0x015C     /* Watchdog Timer Control Register */
#define WDTPW                0x5A00        /* Watchdog timer password */
#define WDTHOLD              0x0080        /* Watchdog timer hold */


#define P1OUT                0x0202     /* Port 1 Output */
#define P1DIR                0x0204     /* Port 1 Direction */

#define P2OUT                0x0203     /* Port 2 Output */
#define P2DIR                0x0205     /* Port 2 Direction */
#define P2SEL0               0x020B     /* Port 2 Select 0 */
#define P2SEL1               0x020D     /* Port 2 Select 1 */

#define P3OUT                0x0222     /* Port 3 Output */
#define P3DIR                0x0224     /* Port 3 Direction */

#define P4OUT                0x0223     /* Port 4 Output */
#define P4DIR                0x0225     /* Port 4 Direction */

#define PJOUT                0x0322     /* Port J Output */
#define PJDIR                0x0324     /* Port J Direction */


#define PM5CTL0              0x0130     /* Power Mode 5 Control Register 0 */
#define LOCKLPM5             0x0001        /* Locks I/O pin configuration ... */


